Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.rp
Interface DefaultRequestProcessorMBean

All Superinterfaces:
  ComponentMBean

All Known Implementing Classes:
  DefaultRequestProcessor

    public interface DefaultRequestProcessorMBean

extends ComponentMBean

DefaultRequestProcessor를 위한 MBean 인터페이스.

Since:
  2.0
Author:
  최범균

Method Summary
`java.lang.String` | `getConfigFilePath()` 설정 파일의 경로를 리턴한다.
`java.lang.String` | `getHandlerFullName(java.lang.String handlerID)` 핸들러 ID에 해당하는 핸들러의 완전한 이름을 구한다.
`java.lang.String` | `getHandlerIDForCommandID(java.lang.String commandID)` 지정한 커맨드 ID를 처리하는 핸들러 ID를 리턴한다.
`java.lang.String[]` | `getHandlerIndependentClassPath()` 독립적인 클래스 패스를 사용해서 핸들러 클래스를 읽어올 경우 사용하는 클래스 패스를 리턴한다.
`boolean` | `isUseDefaultOnInvalidMapping()` 설정 파일의 command-handler-mapping 태그의 useDefaultOnInvalidMapping 속성값을 구한다.
`boolean` | `isUsingHandlerIndependentClassPath()` 클라이언트의 요청을 처리하는 핸들러 클래스가 독립적인 클래스 패스에 존재할 경우 true를 리턴한다.
`void` | `reloadConfiguration()` 설정정보를 리로딩한다.
`void` | `reloadHandlerClasses()` 독립적인 클래스 패스를 사용할 경우 핸들러 클래스의 리로딩을 수행한다.

Methods inherited from interface tle.framework.component.ComponentMBean
`getDescription, getID, getState`

Method Detail

### getConfigFilePath

    java.lang.String getConfigFilePath()

  설정 파일의 경로를 리턴한다.

  Returns:
    설정 파일 경로

### isUsingHandlerIndependentClassPath

    boolean isUsingHandlerIndependentClassPath()

  클라이언트의 요청을 처리하는 핸들러 클래스가 독립적인 클래스 패스에 존재할 경우 true를 리턴한다.

  Returns:
    독립적인 클래스 패스를 사용할 경우 true

### getHandlerIndependentClassPath

    java.lang.String[] getHandlerIndependentClassPath()

  독립적인 클래스 패스를 사용해서 핸들러 클래스를 읽어올 경우 사용하는 클래스 패스를 리턴한다.

  Returns:
    독립적으로 사용하는 핸들러 클래스들의 클래스 패스

### reloadConfiguration

    void reloadConfiguration()
                             throws ComponentException

  설정정보를 리로딩한다.

  Throws:
    `ComponentException`

### reloadHandlerClasses

    void reloadHandlerClasses()
                              throws ComponentException

  독립적인 클래스 패스를 사용할 경우 핸들러 클래스의 리로딩을 수행한다.

  Throws:
    `ComponentException`

### getHandlerIDForCommandID

    java.lang.String getHandlerIDForCommandID(java.lang.String commandID)

  지정한 커맨드 ID를 처리하는 핸들러 ID를 리턴한다. 기본 핸들러와 매핑된 경우 기본 핸들러의 클래스 이름을 리턴한다.

  Parameters:
    `commandID` -
  Returns:

### getHandlerFullName

    java.lang.String getHandlerFullName(java.lang.String handlerID)

  핸들러 ID에 해당하는 핸들러의 완전한 이름을 구한다. 핸들러가 존재하지 않을 경우 null을 리턴한다.

  Parameters:
    `handlerID` -
  Returns:

### isUseDefaultOnInvalidMapping

    boolean isUseDefaultOnInvalidMapping()

  설정 파일의 command-handler-mapping 태그의 useDefaultOnInvalidMapping 속성값을 구한다.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD